KDE 4.9 PyKDE API Reference

- KDE's Python API

# KEMailSettings Class Reference

`from PyKDE4.kio import *`

## Detailed Description

This is just a small class to facilitate accessing e-mail settings in a sane way, and allowing any program to manage multiple e-mail profiles effortlessly

Author:
  Alex Zepeda zipzippy@sonic.net

## Enumerations

Extension | { POP3, SMTP, OTHER }
Setting | { ClientProgram, ClientTerminal, RealName, EmailAddress, ReplyToAddress, Organization, OutServer, OutServerLogin, OutServerPass, OutServerType, OutServerCommand, OutServerTLS, InServer, InServerLogin, InServerPass, InServerType, InServerMBXType, InServerTLS }

## Methods

| __init__ (self)
| __init__ (self, KEMailSettings other)
QString | currentProfileName (self)
QString | defaultProfileName (self)
QString | getSetting (self, KEMailSettings.Setting s)
QStringList | profiles (self)
| setDefault (self, QString def)
| setProfile (self, QString s)
| setSetting (self, KEMailSettings.Setting s, QString v)

## Method Documentation

__init__ | ( |  | self ) |

Default constructor, just sets things up.

__init__ | ( | self, |
|  | KEMailSettings | other
| ) |  |  |

QString currentProfileName | ( |  | self ) |

Returns the name of the current profile.

Returns:
  what profile we're currently using

QString defaultProfileName | ( |  | self ) |

Returns the name of the default profile.

Returns:
  the name of the one that's currently default QString() if none

QString getSetting | ( | self, |
|  | KEMailSettings.Setting | s
| ) |  |  |

Get one of the predefined "basic" settings.

Parameters:

  | s | the setting to get

Returns:
  the value of the setting, or QString() if not set

QStringList profiles | ( |  | self ) |

List of profiles available.

Returns:
  the list of profiles

setDefault | ( | self, |
|  | QString | def
| ) |  |  |

Sets a new default.

Parameters:

  | def | the new default

setProfile | ( | self, |
|  | QString | s
| ) |  |  |

Change the current profile.

Parameters:

  | s | the name of the new profile

setSetting | ( | self, |
|  | KEMailSettings.Setting | s,
|  | QString | v
| ) |  |  |

Set one of the predefined "basic" settings.

Parameters:

  | s | the setting to set
  | v | the new value of the setting, or QString() to unset

## Enumeration Documentation

Extension

The various extensions allowed.

Enumerator:

  POP3 |
  SMTP |
  OTHER |

Setting

The list of settings that I thought of when I wrote this class. Any extra settings thought of later can be accessed easily with getExtendedSetting and setExtendedSetting.

See also:
  getSetting()

See also:
  setSetting()

See also:
  getExtendedSetting()

See also:
  setExtendedSetting()

Enumerator:

  ClientProgram |
  ClientTerminal |
  RealName |
  EmailAddress |
  ReplyToAddress |
  Organization |
  OutServer |
  OutServerLogin |
  OutServerPass |
  OutServerType |
  OutServerCommand |
  OutServerTLS |
  InServer |
  InServerLogin |
  InServerPass |
  InServerType |
  InServerMBXType |
  InServerTLS |